<template>
  <v-container>
    <v-row no-gutters class="d-flex align-center">
      <h1>Dashboard Administrativa</h1>
    </v-row>

    <v-row class="mt-8" no-gutters>
      <v-col class="pr-2" cols="4" xl="4" lg="4">
        <v-card outlined>
          <v-list-item three-line>
            <v-list-item-content>
              <v-list-item-title class="headline mb-1">Empregados</v-list-item-title>
              <div class="overline mb-4">Quantidade de empregados:</div>
              <v-list-item-subtitle>{{ dashboard.employees }}</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions>
            <v-btn to="/employees/">Saiba mais</v-btn>
          </v-card-actions>
        </v-card>
      </v-col>

      <v-col class="pr-2" cols="4" xl="4" lg="4">
        <v-card outlined>
          <v-list-item three-line>
            <v-list-item-content>
              <v-list-item-title class="headline mb-1">Clientes</v-list-item-title>
              <div class="overline mb-4">Quantidade de clientes:</div>
              <v-list-item-subtitle>{{ dashboard.customers }}</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions>
            <v-btn to="/customers/">Saiba mais</v-btn>
          </v-card-actions>
        </v-card>
      </v-col>

      <v-col cols="4" xl="4" lg="4">
        <v-card outlined>
          <v-list-item three-line>
            <v-list-item-content>
              <v-list-item-title class="headline mb-1">Demandas</v-list-item-title>
              <div class="overline mb-4">Quantidade de demandas:</div>
              <v-list-item-subtitle>{{ dashboard.demands }}</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions>
            <v-btn to="/demands/">Saiba mais</v-btn>
          </v-card-actions>
        </v-card>
      </v-col>

      <v-col class="mt-8 pr-2" cols="4" xl="4" lg="4">
        <v-card outlined style="height: 162px">
          <v-list-item three-line>
            <v-list-item-content>
              <v-list-item-title class="headline mb-1">OS</v-list-item-title>
              <div class="overline mb-4">Quantidade de ordens de serviços:</div>
              <v-list-item-subtitle>{{dashboard.calls}}</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions>
            <v-btn to="/calls/">Saiba mais</v-btn>
          </v-card-actions>
        </v-card>
      </v-col>

      <v-col class="mt-8 pr-2" cols="4" xl="4" lg="4">
        <v-card outlined>
          <v-list-item three-line>
            <v-list-item-content>
              <v-list-item-title class="headline mb-1">Projetos</v-list-item-title>
              <div class="overline mb-4">Quantidade de projetos:</div>
              <v-list-item-subtitle>
                <span>Publicados: {{dashboard.projects}}</span>
              </v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions>
            <v-btn to="/projects/">Saiba mais</v-btn>
          </v-card-actions>
        </v-card>
      </v-col>

      <v-col class="mt-8 pr-2" cols="4" xl="4" lg="4">
        <v-card outlined>
          <v-list-item three-line>
            <v-list-item-content>
              <v-list-item-title class="headline mb-1">Fornecedores</v-list-item-title>
              <div class="overline mb-4">Quantidade de fornecedores:</div>
              <v-list-item-subtitle>2</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions>
            <v-btn to="/contacts/">Saiba mais</v-btn>
          </v-card-actions>
        </v-card>
      </v-col>

      <v-col class="mt-8 pr-2" cols="4" xl="4" lg="4">
        <v-card outlined>
          <v-list-item three-line>
            <v-list-item-content>
              <v-list-item-title class="headline mb-1">Contatos</v-list-item-title>
              <div class="overline mb-4">Quantidade de contatos:</div>
              <v-list-item-subtitle>2</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions>
            <v-btn to="/demands/">Saiba mais</v-btn>
          </v-card-actions>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      dashboard: []
    };
  },
  mounted() {
    return axios
      .get("https://young-forest-65938.herokuapp.com/api/v1/dashboard")
      .then(response => {
        var resp = response.data;
        this.dashboard = resp.data;
        console.log(this.dashboard);
      });
  }
};
</script>